
QGIS Application - Bug report #14847

Print composer: moving a grouped rotated map resizes places it wrongly

2016-05-20 09:30 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22800

Description

Steps to reproduce:

    -  open print composer

    -  add a map

    -  add another object

    -  rotate the map

    -  group both

    -  move the group

Result:

    -  the map gets bigger and placed in a wrong place

See attached project+data.

History

#1 - 2016-05-21 12:08 PM - Giovanni Manghi

- Status changed from Open to Feedback

attachments missing.

#2 - 2016-05-21 12:49 PM - Paolo Cavallini

- File test_print.zip added

Sorry, now attached (and description improved).

#3 - 2016-05-23 09:50 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2018-02-25 06:56 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed
Fixed in QGIS 3

Files

test_print.zip 440 KB 2016-05-21 Paolo Cavallini
